/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.framework;

/**
 * Interface for generator extensions, which require one or more header files to be imported in the
 * created main file. This is usually the case when the header files in question are pre-installed
 * (e.g. C standard library headers).
 * 
 * @author hoelzl
 */
public interface IPreinstalledHeaderGeneratorExtension {
	/** Returns the included header files. */
	public String getHeaderIncludes();
}
